Skip to main content
Customer API

Responses

Listing and retrieving AI response records via the ept AI Customer API.

Responses

Read AI responses for your account via Customer API v2.

Base URL: https://api.ept.ai/customer-api/v2

List responses​

GET /response?page=1&resultsPerPage=25 HTTP/1.1
Host: api.ept.ai
Authorization: Bearer ept_prod_YOUR_KEY_ID_YOUR_SECRET
Accept: application/json

Pagination​

ParameterTypeDescription
pageintegerPage number (default: 1)
resultsPerPageintegerPage size, 1–100 (default: 15)
pageSizeintegerAlias for resultsPerPage

Sorting​

Use either pair of parameter names:

ParameterTypeDescription
order_bystringField to sort by (default: created_at)
sortstringASC or DESC (default: DESC)
sortBystringAlias for order_by
sortOrderstringAlias for sort

Example:

GET /response?sortBy=created_at&sortOrder=ASC HTTP/1.1

Filters​

ParameterTypeDescription
channel_idintegerFilter by channel ID
channel_ids[]integerSame as channel_id; repeat for multiple channels
conversation_idstring (UUID)Limit to one conversation
querystringText search across response fields

Examples:

GET /response?channel_id=29322 HTTP/1.1
GET /response?channel_ids[]=29322 HTTP/1.1
GET /response?conversation_id=f384b527-3b46-4b6a-8bf1-16b44ec0502d HTTP/1.1
GET /response?query=pricing HTTP/1.1

Response format​

By default, list responses use a paginated JSON shape with count, next, previous, and results.

Set format=gridjs for table-friendly cell formatting:

GET /response?format=gridjs&page=1&resultsPerPage=25 HTTP/1.1

Example response​

{
"count": 1200,
"next": "/customer-api/v2/response?page=2&resultsPerPage=25&format=gridjs",
"previous": null,
"results": [
{
"response_id": "ee509922-7408-48d0-b678-7917e6498d75",
"id": "ee509922-7408-48d0-b678-7917e6498d75",
"question": "How do I reset my password?",
"answer": "Open Settings and choose Reset password.",
"channel_id": 29322,
"conversation_id": "f384b527-3b46-4b6a-8bf1-16b44ec0502d",
"created_at": "2025-06-01 10:05:00",
"likes": 2,
"dislikes": 0,
"comments": 1
}
]
}

Get response​

GET /response/{response_id} HTTP/1.1
Host: api.ept.ai
Authorization: Bearer ept_prod_YOUR_KEY_ID_YOUR_SECRET
Accept: application/json

Returns the response. Returns 404 if {response_id} is not found.